--- title: "OneSpan Cloud Authentication March Release – 26.R1" slug: "oca-release-notes-march-26r1" updated: 2026-03-17T13:19:11Z published: 2026-03-17T13:19:11Z canonical: "docs.onespan.com/oca-release-notes-march-26r1" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # OneSpan Cloud Authentication March Release – 26.R1 ## Important notices ### Stricter user data validation > Breaking change planned for Q3 2026: stricter user data validation For calls to create and/or update users, a new validation will be introduced for the `USERFLD_EMAIL` and `USERFLD_MOBILE` fields. Currently, the Authentication component is returning status code 200 HTTP status OK (`RET_SUCCESS`/`STAT_SUCCESS`) when the user’s email address or phone number is invalid. Once the new validation, implemented in the Authentication component, is integrated in OneSpan Cloud Authentication, these user data will be strictly validated, and the following applies whenever you create or update user accounts: - Email addresses: Email addresses will only be accepted if they are well formed and do not contain special characters. I.e., the address must only consist of digits, characters from the Latin (extended with accents), Cyrillic, and Arabic alphabets, and typical email punctuation. - Phone numbers: Only numbers that comply with ITU-T E.164 will be accepted. If the format of the user’s email address and/or phone number is invalid, the Authentication component will be returning the 400 HTTP bad request (`RET_FAILURE`/`STAT_INVDATA`) error messages. This affects the following endpoints: - [PUT /users/{userID@domain}](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Users/createUserUsingPUT) - [PATCH /users/{userID@domain}](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Users/updateUserUsingPATCH) > Existing user info fields are kept as is and are only revalidated when you attempt to update them. ## Deprecated or removed components and services ### Deprecated orchestration authentication option The `Face` option for the login input payload of the [POST /users/{userID@domain}/login](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Users/loginUsingPOST) endpoint is a legacy option and has been deprecated. Instead, `Fingerprint` should be used. In a future release, a new biometric option will be available. This information has also been added to the endpoint schema description in the [Interactive API Reference](https://community.onespan.com/products/onespan-cloud-authentication/sandbox). ### Orchestration error handling with orchestration-commands endpoint > Orchestration error handling with the POST /orchestration-commands endpoint is deprecated and will be removed in version 26.R3 in Q3 of 2026. ## New features and enhancements—supported use cases ### Asynchronous push notification delivery To accelerate push notification workflows, OneSpan Cloud Authentication now delivers push notifications asynchronously. This is not a breaking change as it does not entail changes in the API integration. However, in some cases, the detection of failed push notification deliveries will change for the following endpoints: - [POST /users/{userID@domain}/login](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Users/loginUsingPOST) - [POST /users/{userID@domain}/transactions/validate](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Users/transactionValidationUsingPOST) - [POST /users/{userID@domain}/send-push-notification](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Users/sendPushNotificationUsingPOST) - [POST /users/{userID@domain}/events/validate](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Users/eventValidationUsingPOST) Previously, when sending a request to any of the above listed endpoints caused a failure for the push notification delivery with the push notification provider (Google, Apple), the failure state was communicated directly with the request response (HTTP status code `409` and a generic error message). The causes of these immediate failures included, for instance, invalid configuration data or credentials, the mobile app no longer being registered with the provider, unavailability of provider etc. Now, this type of failure no longer triggers the `409` response to the initiating request. Instead, all push notification requests are automatically accepted for asynchronous processing. > Other failures can prevent push delivery at a later stage, e.g. the mobile phone not being available, but these failures are no longer visible on the TID Platform API.) The actual status and result of the push notification delivery can be retrieved via the [GET /sessions/{requestID}](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Sessions/checkSessionUsingGET) endpoint which provides a new list of events. This list contains one entry per notified mobile app where each app is identified by the device PNID. The possible status values for each push notification are: - Queued - Processing - Sent - Failed > If you are relying on specifically detecting push delivery failure in the response to the initial request, you will not be able to detect these failures anymore. The requests now typically result in the creation of a pending session and the generation of a `requestID` value which is the same behavior as that for successful requests. Detecting and evaluating failures of push notification delivery will only be possible by parsing the output of the [GET /sessions/{requestID}](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Sessions/checkSessionUsingGET) endpoint. For more information, see [Integration of Push Notification-Based Authentication](/sec/docs/oca-ig-integration-of-push-notification-based-authentication). ### Faster deletion of Audit database entries The Audit database has been reorganized to allow deleting database entries faster and improve database query speed with the aim to contribute to zero down time of OneSpan Cloud Authentication. ### View user lock count via endpoint output OneSpan Cloud Authentication now allows handling the user lock count via endpoint. Previously, this was not exposed or returned in the user object output. A new field, `lockCount`, has been added. This can be used as a non-mandatory property to update a user with the [PATCH /users/{userID@domain}](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Users/updateUserUsingPATCH) endpoint. With this added validation, the `UpdateUserInput` parameter now verifies that the `lockCount` input value is an integer between 0 and 9999. If that count has never been set, the returned value for the `lockCount` field is `0`. No other restrictions apply, any other validation is done by the Authentication Component. The field is also returned in the user output information of the [GET /users](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Users/queryUsersUsingGET) and [GET /users/{userID@domain}](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Users/viewUserUsingGET) endpoints. ### Security enhancement: 256-bit cryptographic keys In the Authentication component, the OneSpan Authentication Suite Server SDK has been updated to version 4.0.1.1. With this, OneSpan Cloud Authentication now fully supports and uses 256-bit DPX transport keys. ### Improved data entry for encryption key values With the Authentication Suite Server SDK update to version 4.0.1.1, the user interface in the Authentication component Web Administration service to enter various encryption key values has been enhanced to improve usability. On the Upload File page of the **Import DPX** wizard, the transport key is now automatically formatted into groups of four characters to facilitate data entry. ### New authenticator search options based on the last authentication time In the Web Administration service of the Authentication component, the Find/manage DIGIPASS page now allows refining search queries and filtering the results based on the last authentication time. The new Last Authenticated options allow to find all authenticators that where used after or before a specific time, respectively, or within a specific time range. You can also search for authenticators that where never used before at all (and have no last authentication time set). ### Reporting improvements in Authentication component Several aspects of the Authentication component’s reporting system have been enhanced. > The Reporting feature is not available by default. For more information, see [Improved service availability with removal of reporting privileges](/sec/docs/oca-release-notes-september-25r2#improved-service-availability-with-removal-of-reporting-privileges). - You can now natively create CSV reports for list analysis reports using a new built-in CSV report format. This new format is especially useful if you need to create very large reports (1 GB or larger). If you want to create CSV data for other report types or a different set of data, you can still create a custom report template and use XSLT transformation. - You can now create any report in the background, regardless of the report format. Previously, this was only possible for PDF reports. - You can now download any report after it has been created, regardless of the report format. Previously, this was only possible for PDF reports. - Report files now use correct file extensions, in accordance with the used report format. - Report files now use more meaningful file names, including a timestamp and a random suffix. - To prevent large report files from freezing the browser tab, the Authentication component’s Administration Web Interface now allows you only to open report files if they do not exceed a certain size limit. This size limit can be configured via the web application configuration file. - The download of report files has been improved to greatly minimize the memory overhead by streaming the report data. > Breaking change > > With these improvements, to be able to run a report immediately or with default values, you now must have the View Task and View Report File privileges (in addition to the Run Report privilege). ## Fixes and other changes Issue OAS-9846: Internal object types exposed **Description**: The internal object types of input fields, e.g., the `LoginInput.credentials` and `AdaptiveLoginInput.credentials` fields were exposed in the [Interactive API Reference](https://community.onespan.com/products/onespan-cloud-authentication/sandbox). **Status**: This issue has been fixed. Exposing these object types is not necessary, consequently this information has been removed. Issue OAS-17318 (Support Case INC0011835 - PRB0010731): Memory access violation when running list reports **Description**: When running a list report that includes authenticators and users as data source, for example, the DP per User report, and in the unlikely case that an authenticator and a user have the same identifier, the Authentication component can terminate unexpectedly due to a memory access violation while processing the data group levels. **Status**: This issue has been fixed. Issue OAS-30897 (Support case INC-0015536): Add aaguid for FIDO2 registrations **Description**: When the request parameter is set to `FIDO2` for a synchronous passkey or security key, the API response does not include the `aaguid` (Authenticator Attestation Global Unique Identifier) parameter. This causes the integration to be incomplete and impacts both compliance and monitoring. **Status**: This issue has been fixed. The `aaguid` parameter has been added to the response of the [GET /fido-registrations](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/FIDO Registrations/queryFidoRegistrationsUsingGET) endpoint. Issue OAS-30992: Assumed values incorrect in metadata statement **Description**: When the `isKeyRestricted` and `isFreshUserVerificationRequired` fields in the metadata statement are not defined, the assumed values were incorrectly set to `false`, contrary to recommendations. **Status**: This issue has been fixed. Now, the assumed values that are used and/or stored are now `true` according to the recommendations. Issue OAS-31169 (Support case INC-0015424): Documentation enhancement for MDL authenticator provisioning **Description**: The description of how to integrate offline MDL authenticator provisioning has been enhanced. A note has been added to clarify that Step 6 to activate the MDL instance and generate a signature and Step 7 to activate the authenticator instance are technically optional but only processing both these steps will enable OneSpan Cloud Authentication to set the last-used-date. Both steps are part of the recommended procedure and should therefore not be skipped. For more information, see [Integration of Provisioning for Multi-Device Licensing Authenticators](/sec/docs/oca-ig-integration-of-provisioning-for-multi-device-licensing-authenticators). Issues OAS-31237 (Support case INC-0015596), OAS-31261, and OAS-31670: Sporadic `SessionExists` exception for user registration **Description**: Multiple user registration requests were terminated by `SessionExists` exceptions that were thrown within the User Registration service during the creation operation. The reasons for this were different race conditions in the service and the AWS SDK, and that OneSpan Cloud Authentication permitted simultaneously creating two user registration requests for the same user. **Status**: This issue has been fixed. Issue OAS-31238 (Support case INC-0015596): Server error message returned instead of status code when adding device **Description**: When calling `add-device` with the [POST /registrations](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Provisioning/registrationUsingPOST) endpoint but no authenticators were available, OneSpan Cloud Authentication returned the error message `500 An internal error occurred`. **Status**: This issue has been fixed. If no authenticator is available for the add device operation, now the status code `409` is displayed with the message `No authenticators available`. Issue OAS-31949 (Support case INC0015761): Database timeouts resulted in incorrect error response **Description**: In version 25.R2, the internal timeout for the database was reduced to 5 seconds. This would occasionally result incorrectly in a `500 Internal error, sub service failure, server crash` error response. **Status**: The first set of endpoints have now been updated. For the following endpoints, if the database runs into a timeout, OneSpan Cloud Authentication now returns the `504 Gateway timeout` HTTP status code. - [POST /users/{userID@domain}/generate-fido-authentication-request](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Users/generateFidoAuthenticationRequest) - [POST /users/ {userID@domain}/events/validate](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Users/eventValidationUsingPOST) - [POST /users/ {userID@domain}/login](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Users/loginUsingPOST) - [POST /users/generate-fido-authentication-request-usernameless](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Users/initializeUsernamelessFidoAuthenticationUsingPOST) - [POST /users/fido-login-usernameless](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Users/usernamelessFidoLoginUsingPOST) - [POST / {uuid}/generate-challenge](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Users/generateChallengeUsingPOST) Fixed vulnerabilities For a detailed list of fixed vulnerabilities, see the relevant Knowledge Base article(s) in our Customer Support Portal. ## Known issues Issue OAS-15853: Incorrect error message when transaction amount fields are provided as data type number **Description**: The [POST /users/{userID@domain}/transactions/validate](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Transactions/transactionValidationUsingPOST) endpoint returns an incorrect error message if the transaction amount field is provided from the `number` data type, and if the transaction amount is large. In this case, the endpoint should return the error message `Invalid value type`, because the transaction amount field was provided as a number and not as a string. Instead, it returns the incorrect error message `Amount: Value must follow -^-?[0-9]{1,20}(\\.[0-9]{1,3})?$,`. **Solution**: The transaction amount fields in the request body of the transactions/validate endpoint need to be provided as a string. Ensure that the value in the JSON request body is wrapped in double quotes. ## Orchestration SDK—supported versions OneSpan Cloud Authentication supports the following versions of the Orchestration SDK Client: - 5.12.0 - 5.11.0 - 5.10.0 - 5.9.0 - 5.8.1 - 5.8.0 - 5.7.0 - 5.6.4 - 5.6.3 - 5.6.0 - 5.5.1 - 5.4.2 - 5.4.1 - 5.4.0 - 5.3.1 - 5.3.0